Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.network.rcon
Class RConUtils

    java.lang.Object
      net.minecraft.network.rcon.RConUtils

    public class RConUtils

extends Object

Field Summary
`static char[]` | `hexDigits` Translation array of decimal to hex digits

Constructor Summary
`RConUtils()`

Method Summary
`static String` | `getByteAsHexString(byte par0)` Returns a String representation of the byte in hexadecimal format
`static int` | `getBytesAsBEint(byte[] par0ArrayOfByte, int par1, int par2)` Read 4 bytes from the given array in big-endian format and return them as an int
`static int` | `getBytesAsLEInt(byte[] par0ArrayOfByte, int par1, int par2)` Read 4 bytes from the given array in little-endian format and return them as an int
`static String` | `getBytesAsString(byte[] par0ArrayOfByte, int par1, int par2)` Read a null-terminated string from the given byte array
`static int` | `getRemainingBytesAsLEInt(byte[] par0ArrayOfByte, int par1)` Read 4 bytes from the

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hexDigits

    public static char[] hexDigits

  Translation array of decimal to hex digits

Constructor Detail

### RConUtils

    public RConUtils()

Method Detail

### getBytesAsString

    public static String getBytesAsString(byte[] par0ArrayOfByte,
                                          int par1,
                                          int par2)

  Read a null-terminated string from the given byte array

### getRemainingBytesAsLEInt

    public static int getRemainingBytesAsLEInt(byte[] par0ArrayOfByte,
                                               int par1)

  Read 4 bytes from the

### getBytesAsLEInt

    public static int getBytesAsLEInt(byte[] par0ArrayOfByte,
                                      int par1,
                                      int par2)

  Read 4 bytes from the given array in little-endian format and return them as an int

### getBytesAsBEint

    public static int getBytesAsBEint(byte[] par0ArrayOfByte,
                                      int par1,
                                      int par2)

  Read 4 bytes from the given array in big-endian format and return them as an int

### getByteAsHexString

    public static String getByteAsHexString(byte par0)

  Returns a String representation of the byte in hexadecimal format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD